@charset "UTF-8";

html{
    height: -webkit-fill-available;
}

body{
    font-size: 16px;
    font-family:'メイリオ', 'Meiryo', sans-serif;
    letter-spacing: 0.1em;
    line-height: 1.5em;
    width: 100vw;

    scroll-padding-top: 10vh; /* ヘッダーの高さ分 */
    scroll-behavior: smooth;

    animation: fadein 2s forwards;
}

@keyframes fadein {
	0% {opacity: 0}
	100% {opacity: 1}
}

section,
footer{
    width: 100vw;
    margin: 0 auto;
}

a{
    color: #000;
    text-decoration: none;
}

a,img{
    transition: 0.5s;
}
a:hover{
    opacity: .7;
}
img a:hover{
    opacity: .9;
}

#stafflink,
#salonlink,
#salonpage-padding1{
    height: 90px;
}

#salonpage-padding2{
    height: 150px;
}


/* 共通部分==========================*/
h2{
    margin-bottom: 40px;
}
.inner{
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 20px;
}
.innner{
    padding: 0;
}

/* ヘッダー */
#header{
    height: 10vh;
    display: flex;
    justify-content: space-between;
    padding-left: 10px;
}
#header .header-innner{
    width: 100vw;
    min-height: 100vh;
    /* mobile viewport bug fix */
    min-height: -webkit-fill-available;
}
#header .nav h1 img{
    height: 100%;
    max-height: 7.5vh;
}
#header .nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 88%;
    margin: 0 auto;
    align-items: center;
}
#header .nav ul{
    display: flex;
    justify-content: center;
}
#header .nav li{
    margin-left: 50px;
}

#header .nav ul li img{
    height: 15px;
}
#header .nav a:hover{
    color: rgb(121, 121, 121);
}

/* web,mail--------*/
#header .nav-box{
    width: 180px;
    text-align: center;
    height: 10vh;
}

#header .nav-reserv{
    display: block;
    height: 5vh;
    line-height: 5vh;
    background-color: #a3a3a3;
}
#header .nav-tel{
    display: block;
    height: 5vh;
    line-height: 5vh;
    background-color: #edeceb;
}

/* hum----pc-------*/

.hmb-sns{
    margin: 0 70px;
}
.hmb-sns img{
    margin: 0 5px;
    width: 30px;
}

/* slider----------*/
#slider{
    width: 100vw !important;
}
#slider img{
    width: 100% !important;
    height: 90vh !important;
    object-fit: cover !important;
    object-position: center !important;
}

/* about -----------*/
#about{
    text-align: center;
    margin: 180px 0 90px 0;
}
#about h2 img{
    width: 100%;
    max-width: 231px;
    height: auto;
}
#about .about-t{
    padding: 40px 0 0;
}

#about p{
    line-height: 25px;
}

/* salon ------------*/
#salon .innner{
    width: 1180px;
}
#salon .only-flex,
#salon .reco-flex{
    display: flex;
    justify-content: space-between;
    width: 100%;
    max-width: 1140px;
    margin: 0 auto;
}
#salon .reco-flex{
    margin-top: 80px;
}
#salon .only-img img,
#salon .reco-img img{
    width: 100%;
}
#salon .only-list,
#salon .reco-list{
    width: 50%;
    padding-left: 25px;
}
#salon .reco-list{
    padding-right: 25px;
}
#salon .reco-title{
    text-align: right;
    padding-bottom: 60px;
}
#salon .only-title{
    padding-bottom: 60px;
}
#salon .only-title img,
#salon .reco-title img{
    width: 100%;
    max-width: 493px;
} 
#salon .only-text,
#salon .reco-text{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 15px 0;
    line-height: 25px;
}
#salon .only-t,
#salon .reco-t{
    width: 88%;
    padding: 0 10px 0 20px;
}
#salon .only-t p{
    font-size: 13px;
}

/* banner---------------- */
#banner{
    margin-top: 150px;
    display: flex;
    justify-content: space-between;
    max-width: 1200px;
    width: 100%;
}
#banner img{
    width: 100%;
    height: auto;
    padding: 10px;
}

/* media-------------- */
#media{
    margin-top: 40px;
    text-align: center;
    max-width: 1200px;
}
#media img{
    width: 100%;
    height: auto;
    padding: 10px;
}

/* staff------------ */
#staff{
    text-align: center;
    background-color: #edeceb;
    margin-top: 90px;
    padding-bottom: 90px;
    padding-top: 80px;
    height: 1180px;

    position: relative;
}
#staff .s-posi{
    position: absolute;
    left: 0;
    right: 0;
    top: -30px;
}
#staff .staff-flex{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;

    max-width: 1000px;
    margin: 0 auto;
}
#staff .staff-box{
    width: 33%;
    padding: 30px 10px 10px;
}
#staff .staff-box img{
    width: 100%;
    max-width: 300px;
}

#staff .staff-t{
    width: 100%;
}
#staff .staff-t img{
    max-width: 410px;
    padding-bottom: 30px;
}

/* map--------- */
#map {
    margin: 90px auto 0;
    text-align: center;
}
#map iframe{
    width: 65%;
    height: 600px;
}
#map .map p{
    line-height: 35px;
}
#map .map-url{
    padding-bottom: 60px;
}
#map .map-flex{
    display: flex;
    justify-content: center;
    max-width: 300px;
    margin: 0 auto;
}
#map .map-left{
    width: 25%;
}
#map .map-right{
    width: 45%;
}

/* recluit------*/
#recluit{
    text-align: center;
}
#recluit img{
    width: 100%;
    max-width: 500px;
    margin: 60px 0 90px;
    padding: 0 7px;
}

/* footer------*/
footer{
    background-color: #edeceb;
    text-align: center;
    margin: 0 auto;
    padding: 150px 0;
}
footer ul{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 50px;
}
footer li{
    width: 130px;
}
footer ul li img{
    height: 15px;
}
footer .f-icon{
    display: flex;
    justify-content: space-around;
    max-width: 200px;
    margin: 0 auto;
    align-items: center;
}
footer .f-logo img{
    width: 264px;
}

/* ページトップアイコン */
#pagetop{
    position: fixed;
    right: 50px;
    bottom: 40px;
    width: 60px;
}
#pagetop img{
    width: 70px;
}

/* salon page================= */
#salonpagehead .salonpagehead{
    width: 100%;
    height: 13vh;
    object-fit: cover;
    
    background: url(../img/main1.jpg) no-repeat top center;
}
#about span{
    font-size: 20px;
    font-weight: bold;
}
.f-black{
    background-color: #000;
    height: 70px;
    margin-bottom: 50px;
}
.f-black img{
    padding: 23px 0;
    max-width: 250px;
    width: 
100%;
}

/* レスポンシブ============================================================================== */
@media screen and (max-width: 1400px) {
    #slidersp{
        width: 100vw !important;
    }

    #slidersp img{
        width: 100% !important;
        height: 90vh !important;
        object-fit: cover !important;
        object-position: center !important;
    }

}
@media screen and (max-width: 1150px) {
    body{
        overflow-y: scroll;
        -ms-overflow-style: none;    /* IE, Edge 対応 */
        scrollbar-width: none;       /* Firefox 対応 */
        font-size: 14px;
      }
      body::-webkit-scrollbar {  /* Chrome, Safari 対応 */
        display:none;
      }
      .inner{
        padding: 0;
      }

/* header*/
    #header{
        padding-left: 10px;
    }
    #header .nav{
        margin-left: 0;
    }
    #header h1{
        position: relative;
    }
    #header h1 img{
        max-height: 7.5vh;
    }
    #header .nav-box{
        display: none;
    }
    #header .nav li{
        margin-left: 0;
    }

/* hum */
#g-nav{
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position:fixed;
    z-index: 999;
    /*ナビのスタート位置と形状*/
    right:  -300%;
    top: 0;
    width: 100%;
    height: 100vh;/*ナビの高さ*/
    background:rgba(255, 255, 255, 0.9);
    /*動き*/
    transition: all 0.6s;
}

    /*アクティブクラスがついたら位置を0に*/
    #g-nav.panelactive{
        right: 0;
    }
   #g-nav.panelactive li{
        margin: 10px 0;
   }

    /*ナビゲーションの縦スクロール*/
    #g-nav.panelactive #g-nav-list{
        /*ナビの数が増えた場合縦スクロール*/
        position: fixed;
        z-index: 999; 
        width: 100%;
        height: 100vh;/*表示する高さ*/
        overflow: auto;
        -webkit-overflow-scrolling: touch;
    }


    /*ナビゲーション*/
    #g-nav ul{
        /*ナビゲーション天地中央揃え*/
        position: absolute;
        z-index: 999;
        top:50%;
        left:50%;
        transform: translate(-50%,-50%);
    }
    #header .nav ul{
        display: block;
        text-align: center;
        align-items: center;
    }
#g-nav{
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position:fixed;
    z-index: 999;
    /*ナビのスタート位置と形状*/
    top:  0;
    right: -150%;
    width: 100%;
    height: 100vh;/*ナビの高さ*/
    background:rgba(255, 255, 255, 0.9);
    /*動き*/
    transition: all 0.6s;
}

    /*アクティブクラスがついたら位置を0に*/
    #g-nav.panelactive{
        right: 0;
    }
   #g-nav.panelactive li{
        margin: 20px 0;
   }

    /*ナビゲーションの縦スクロール*/
    #g-nav.panelactive #g-nav-list{
        /*ナビの数が増えた場合縦スクロール*/
        position: fixed;
        z-index: 999; 
        width: 100%;
        height: 100vh;/*表示する高さ*/
        overflow: auto;
        -webkit-overflow-scrolling: touch;
    }


    /*ナビゲーション*/
    #g-nav ul{
        /*ナビゲーション天地中央揃え*/
        position: absolute;
        z-index: 999;
        top:50%;
        left:50%;
        transform: translate(-50%,-50%);
    }
    #header .nav ul{
        display: block;
        text-align: center;
        align-items: center;
    }

/* ----------------------- */

 /* about */
    #about h2 img{
        width: 190px;
    }

/* salon */
    #salon .only-list,
    #salon .reco-list{
        width: 80%;
   }
    #salon .only-title img,
    #salon .reco-title img {
        max-width: 400px;
    }
    #salon .only-title{
        padding: 0 10px 60px 0;
    }
    #salon .reco-title{
        padding: 0 0 60px 10px;
    }
    #salon .onlu-t img,
    #salon .reco-t img{
        width: 100%;
    }
    #salon .only-text,
    #salon .reco-text{
        padding: 10px 0;
        line-height: 22px;
    }
    #salon .reco-text{
        justify-content: flex-end;
    }
    #salon .reco-t{
        padding-right: 0;
    }

/* staff */
    #staff{
        height: 1150px;
    }
    #staff h2 img{
        width: 180px;
    }
    #staff .staff-t img{
        max-width: 350px;   
    }   

/* banner */
   #banner {
        justify-content: center;
        margin-top: 80px;
    }
    #stafflink{
        height: 10px;
    }
   #banner div{
        width: 50%;
  }

/* map */
    #map iframe{
        width: 97%;
        height: 500px;
}

/* pagetop  */
    #pagetop {
        right: 30px;
        bottom: 70px;
    }
    #pagetop img{
        width: 70px;
    }
    .float{
        display: flex;
        align-items: center;
        width: 100%;
    
        position: fixed;
        left: 0;
        bottom: 0;
    }
    .float a{
        width: 50%;
        padding: 12px 0;
        text-align: center;        
    }

    .float-web{
        background-color: #a3a3a3;
}
    .float-tel{
        background-color: #808080;
    }

/* hum===940px */
    .hmb-sns{
        margin: 40px 0;
        text-align: center;
    }
    .hmb-sns img{
        margin: 0 10px;
        width: 30px;
    }

/*nav action========*/


    /*========= ボタンのためのCSS ===============*/
    #openbtn{
        position: fixed;
        top: 40px;
        right: 40px;
        z-index: 1000;
        cursor: pointer;
        width: 70px;
        height:70px;
      }
      #openbtn span{
        display: inline-block;
        transition: all .4s;
        position: absolute;
        left: 14px;
        height: 1.5px;
        border-radius: 2px;
        background: rgb(65, 65, 65);
        width: 55%;
        }
      #openbtn span:nth-of-type(1) {
        top:10px; 
      }
      #openbtn span:nth-of-type(2) {
        top:22px;
      }
      #openbtn span:nth-of-type(3) {
        top:34px;
      }

      #openbtn.active span:nth-of-type(1) {
          top: 18px;
          left: 12.5px;
          transform: translateY(6px) rotate(-45deg);
          width: 70%;
      }
      #openbtn.active span:nth-of-type(2) {
        opacity: 0;
      }    
      #openbtn.active span:nth-of-type(3){
          top: 30px;
          left: 12.5px;
          transform: translateY(-6px) rotate(45deg);
          width: 70%;
      }
}

@media screen and (max-width: 900px) {
    #staff{
        height: 1070px;
    }
}

@media screen and (max-width: 850px) {
    #staff{
        height: 1030px;
    }
}

@media screen and (max-width: 800px) {
    #staff{
        height: 1500px;
    }
    #staff .staff-flex{
        max-width: 650px;
    }
    #staff .staff-box{
        width: 48%;
        padding: 25px 5px 5px 5px;
    }
    #staff .staff-box img{
        max-width: 280px;
    }
    #salon .only-n img,
    #salon .reco-n img{
        width: 90%;
    }
    #openbtn{
        top: 3% !important;
        right: 3% !important;
    }
    #salonpagehead .salonpagehead{   
        height: 90vh;
    }
}

@media screen and (max-width: 700px) {
    #salon .inner{
        padding: 0;
    }
    #salon .inner{
        padding-right: 5px;
}
    #salon .only-list{
        padding: 0 10px;
}
    #salon .reco-list{
        padding: 0 10px;
    }
    #salon .only-img img,
    #salon .reco-img img {
        width: 150px;
        height: 600px;
        object-fit: cover;
        object-position: left;
    }
    #salon .reco-img img{
        object-position: right;
    }
    #salon .only-text,
    #salon .reco-text{
        line-height: 20px;
    }
    #salon .only-t,
    #salon .reco-t{
        width: 100%;
        padding: 0 10px;
    }
    #staff{
        height: 1530px;
    }
}
@media screen and (max-width: 650px) {
    #staff{
        height: 1350px;
    }
}
@media screen and (max-width: 600px) {
    body{
        font-size: 13px;
        text-align: justify;
    }
    #header h1 img{
        max-height: 6.5vh;
    }
    #about{
        margin: 90px 0 0;
    }
    #staff{
        height: 1520px;
    }

    #salon .only-text,
    #salon .reco-text{
        align-items: start;
        letter-spacing: 0.06em;
    }
    #salon .only-t,
    #salon .reco-t{
        padding-left: 5px;
    }
    #salon .only-t p{
    font-size: 10px;
    letter-spacing: 0.05em;
    line-height: 1.5em;
    }
    #map iframe{
        width: 95%;
        height: 250px;
    }
    #recluit img{
    max-width: 350px;
    }
    footer{
        padding: 150px 0 195px 0;
    }
    footer ul{
        display: none;
    }
    footer .f-logo img{
        padding-bottom: 60px;
    }
    #pagetop{
        right: 5px;
        bottom: 50px;
    }
    #pagetop img{
        width: 60px;
    }
    #openbtn{
        top: 2.3% !important;
        right: 2% !important;
    }
}

@media screen and (max-width: 550px){
     #staff{
        height: 1400px;
     }
}

@media screen and (max-width: 500px){
    #about .about-t{
        padding: 40px 10px;
     }
     #staff{
        height: 1340px;
     }
     #about img{
        width: 130px;
     }
     #about h2 img{
        width: 160px;
     }
    .salonpage-title img{
        width: 150px;
    }
     #staff h2{
        margin-bottom: 25px;
     }
     #staff h2 img{
        width: 150px;
     }
     #staff .s-posi{
        top: -20px;
     }
}

@media screen and (max-width: 450px) {
    #staff{
        height: 1250px;
    }
}

@media screen and (max-width: 400px) {
    #staff{
        height: 1100px;
    }
    #openbtn{
        top: 1.5% !important;
        right: 2% !important;;
    }
}

@media screen and (max-width: 380px) {
    #staff{
        height: 1080px;
    }
}

@media screen and (max-width: 350px) {
    #staff{
        height: 1000px;
    }
}